> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read webhook

> Get information about a specific webhook.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="webhooks" type="array" required>
      Array of webhooks.

      <Expandable title="child attribute">
        <ParamField body="webhookKey" type="string" required>
          Webhook's key.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="webhooks" type="string">
  Array of webhooks.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="url" type="string">
      Webhook's endpoint.
    </ResponseField>

    <ResponseField name="secret" type="string">
      Webhook's secret.
    </ResponseField>

    <ResponseField name="webhookKey" type="string">
      Webhook's key.
    </ResponseField>

    <ResponseField name="created" type="boolean">
      Event to listen: `contract.created`.
    </ResponseField>

    <ResponseField name="seen" type="boolean">
      Event to listen: `contract.seen`.
    </ResponseField>

    <ResponseField name="sent" type="boolean">
      Event to listen: `contract.sent`.
    </ResponseField>

    <ResponseField name="approved" type="boolean">
      Event to listen: `contract.approved`.
    </ResponseField>

    <ResponseField name="signed" type="boolean">
      Event to listen: `contract.signed`.
    </ResponseField>

    <ResponseField name="fullySigned" type="boolean">
      Event to listen: `contract.fully_signed`.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/webhook' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{
      "data": {
          "action": "read",
          "clientKey": "YOUR_CLIENT_KEY",
          "webhooks": [
              {
                  "webhookKey": "WEBHOOK_KEY"
              }
          ]
      }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "webhooks": [
          {
              "createTime": "2024-04-08T08:58:54.000Z",
              "changeTime": "2024-04-08T09:01:12.000Z",
              "url": "URL",
              "secret": "whsec_123",
              "webhookKey": "WEBHOOK_KEY",
              "created": true,
              "seen": true,
              "sent": false,
              "approved": false,
              "signed": false,
              "fullySigned": false
          }
      ],
      "code": "201",
      "message": "Webhooks read"
  }
  ```
</ResponseExample>
